---
updatedAt: 2025-09-16T11:17:12.000Z
agentTools:
  projectIndex: https://docs.super.ai/llms.txt
---

# Retrieve a single job object

Use this endpoint to retrieve the job object for a specified job.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "superai-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.super.ai"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "API-KEY"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/v1/jobs/{job_id}": {
      "get": {
        "summary": "Retrieve a single job object",
        "description": "Use this endpoint to retrieve the job object for a specified job.",
        "operationId": "retrieve-a-single-job-object",
        "parameters": [
          {
            "name": "job_id",
            "in": "path",
            "description": "Identifier for the job that you want to retrieve. You can find this in the `Data point` column of your project's work queue in the super.AI dashboard. It also supports the Job UUID as given in the callback.",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"id\": \"1234567\",\n  \"completed\": \"2020-02-12T13:41:41.695000+00:00\",\n  \"created\": \"2020-02-12T13:27:03+00:00\",\n  \"callbackUrl\": null,\n  \"appId\": \"123abc45-6789-01de-f2g3-45h67ijk8901\",\n  \"status\": \"COMPLETED\",\n  \"input\": {\n    \"image_url\": \"data://12345/images/dogs/poodles/pink-poodle.jpeg\"\n  },\n  \"metadata\": null,\n  \"tags\": [\"poodle\", \"pink\"],\n  \"uuid\": \"1a23bc4d-ef56-7g89-0h12-i23456jk78l9\",\n  \"correct\": true,\n  \"baselineId\": 123456,\n  \"jobType\": \"DEFAULT\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "string",
                      "example": "1234567"
                    },
                    "completed": {
                      "type": "string",
                      "example": "2020-02-12T13:41:41.695000+00:00"
                    },
                    "created": {
                      "type": "string",
                      "example": "2020-02-12T13:27:03+00:00"
                    },
                    "callbackUrl": {},
                    "appId": {
                      "type": "string",
                      "example": "123abc45-6789-01de-f2g3-45h67ijk8901"
                    },
                    "status": {
                      "type": "string",
                      "example": "COMPLETED"
                    },
                    "input": {
                      "type": "object",
                      "properties": {
                        "image_url": {
                          "type": "string",
                          "example": "data://12345/images/dogs/poodles/pink-poodle.jpeg"
                        }
                      }
                    },
                    "metadata": {},
                    "tags": {
                      "type": "array",
                      "items": {
                        "type": "string",
                        "example": "poodle"
                      }
                    },
                    "uuid": {
                      "type": "string",
                      "example": "1a23bc4d-ef56-7g89-0h12-i23456jk78l9"
                    },
                    "correct": {
                      "type": "boolean",
                      "example": true,
                      "default": true
                    },
                    "baselineId": {
                      "type": "integer",
                      "example": 123456,
                      "default": 0
                    },
                    "jobType": {
                      "type": "string",
                      "example": "DEFAULT"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": "Invalid API-KEY"
                  }
                }
              }
            }
          },
          "404": {
            "description": "404",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": "Job not found"
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl \"https://api.super.ai/v1/jobs/1234567\" \\\n-H \"API-KEY: live_1Ab23cdEFGH4iJ5K67Lmnop8qR10STulWX_2y3Za4_B\""
            },
            {
              "language": "python",
              "code": "import superai as ai\n\nclient = ai.Client(\"live_1Ab23cdEFGH4iJ5K67Lmnop8qR10STulWX_2y3Za4_B\")\n\nresponse = client.fetch_job(job_id=1234567)\n\nprint(response)\n"
            },
            {
              "language": "shell",
              "code": "superai client fetch_job --job_id 1234567",
              "name": "CLI"
            }
          ],
          "samples-languages": [
            "curl",
            "python",
            "shell"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```